CREATE TABLE topology_version (version bigint not null, name VARCHAR(200), user_version VARCHAR(200), created_by VARCHAR(200), created_time bigint, deleted smallint, deleted_time bigint, PRIMARY KEY (version));
CREATE TABLE topology_scope (ip_addr varchar(15) not null, type integer not null, last_ip_addr varchar(15), ip_netmask varchar(15), version bigint not null, exclude smallint not null, edit smallint not null, PRIMARY KEY (ip_addr, type, version, exclude, edit));
CREATE TABLE topology_seq_id (name VARCHAR(200) not null, count bigint not null, PRIMARY KEY (name));
INSERT INTO topology_seq_id (name, count) VALUES ('OBJECT_ID', 10000);
CREATE TABLE change_seq_id (name VARCHAR(200) not null, count bigint not null, PRIMARY KEY (name));
INSERT INTO change_seq_id (name, count) VALUES ('OBJECT_ID', 10000);
CREATE TABLE change_history_table (id bigint not null, object_id VARCHAR(200) not null, object_display_name VARCHAR(400), attribute_name VARCHAR(100), old_value CLOB(1M) NOT LOGGED COMPACT, new_value CLOB(1M) NOT LOGGED COMPACT, class_name VARCHAR(300), what_changed integer, actual_change_type integer,when_changed bigint, handled_by_state_manager integer, type_of_event integer, discovery_run_id bigint not null, parent_ids VARCHAR(400), old_value_display_name VARCHAR(400), new_value_display_name VARCHAR(400), PRIMARY KEY (id));
CREATE TABLE change_cause_table (event_id bigint not null, cause_id bigint not null , PRIMARY KEY (event_id,cause_id));
CREATE TABLE change_server_status (run_id bigint not null, status integer not null, PRIMARY KEY (run_id));
CREATE TABLE topology_change_history (id bigint not null, top_obj_id bigint not null, audit_time bigint not null, type integer not null, attribute_name varchar(200) not null, old_value CLOB(1M), new_value CLOB(1M), parent_ids varchar(255), parent_names varchar(4000), run_id bigint not null, PRIMARY KEY (id));
CREATE INDEX CH_OBJ_ID_INDEX ON CHANGE_HISTORY_TABLE (OBJECT_ID ASC,TYPE_OF_EVENT ASC,WHAT_CHANGED ASC,DISCOVERY_RUN_ID ASC);
CREATE TABLE cmdb_guid_alias (master_guid VARCHAR(32) not null, alias_guid VARCHAR(32) not null, PRIMARY KEY (alias_guid));
CREATE TABLE cmdb_guid_dependency (guid VARCHAR(32) not null, depends_on_guid VARCHAR(32) not null, depends_on_updated SMALLINT, PRIMARY KEY (guid, depends_on_guid));
ALTER TABLE  CHANGE_HISTORY_TABLE APPEND ON